<template>
  <div class="swing">
    <Objects class="trans" v-for="item in leftObject" :isleft="true" :ObjectProp="item" :key="item.id" />
    <Objects class="trans" v-for="item in rightObject" :isLeft="false" :ObjectProp="item" :key="item.id" />
  </div>
</template>
<script>
import Objects from "@/components/Object/Object";
export default {
  components: {
    Objects
  },
  computed: {
    rightObject() {
      return this.$store.state.rightObject;
    },
    leftObject() {
      return this.$store.state.leftObject;
    }
  }
};
</script>
<style scoped>
.swing {
  width: 100%;
  height: 4px;
  background-color: orange;
  position: relative;
  transform: rotate(0deg);
  transition: transform 0.5s ease-in-out;
}
.trans{
      transform: translate(-50%, -100%);
}
</style>
